package com.liquidnet.service.account.wallet.mapper;

import com.liquidnet.service.account.wallet.entity.FinDictValue;
import com.liquidnet.service.account.wallet.entity.FinDictValueExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface FinDictValueMapper {
    int countByExample(FinDictValueExample example);

    int insert(FinDictValue record);

    int insertSelective(FinDictValue record);

    List<FinDictValue> selectByExample(FinDictValueExample example);

    FinDictValue selectByPrimaryKey(String valueId);

    int updateByExampleSelective(@Param("record") FinDictValue record, @Param("example") FinDictValueExample example);

    int updateByExample(@Param("record") FinDictValue record, @Param("example") FinDictValueExample example);

    int updateByPrimaryKeySelective(FinDictValue record);

    int updateByPrimaryKey(FinDictValue record);


    List<FinDictValue> selectJoinDict(String dictCode);
}